# My Project: pointbase.cpp File Reference

pointbase.cpp File Reference
`#include "opencv2/highgui.hpp"`
`#include "opencv2/core.hpp"`
`#include "opencv2/imgproc.hpp"`
`#include "opencv2/imgcodecs.hpp"`
`#include "opencv2/stitching.hpp"`
`#include <opencv2/xfeatures2d.hpp>`
`#include <opencv2/features2d.hpp>`
`#include "opencv2/calib3d/calib3d.hpp"`
`#include <opencv2/stitching/detail/exposure_compensate.hpp>`
`#include <unistd.h>`
`#include <fstream>`
`#include <iostream>`
`#include <json/json.h>`
`#include <cmath>`
`#include <algorithm>`
`#include <map>`
`#include <typeinfo>`
`#include <filesystem>`
Include dependency graph for pointbase.cpp:
This graph shows which files directly or indirectly include this file:

## Classes

struct | ComparePoints
| struct necessary for comparison between 2 opencv points - when using std::map ; used to sort points according to X value More...
class | PointBase
| class implemented as solution for the thesis providing stitching and stitching features More...

## Variables

struct ComparePoints | CP

## Detailed Description

Author
  Bc. Pavol Debnár This is the main file for the thesis implementing the pointBase class 2022/23